Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018588
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. Platformmajorhave not tried2011-09-21 19:462011-10-12 01:59
ReportermtaalView Statuspublic 
Assigned Tomtaal 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione359ca670fb6
ProjectionnoneETAnoneTarget Version3.0MP4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018588: Implement new callout functionality

DescriptionDescribed here:
http://wiki.openbravo.com/wiki/Projects/NewCallout [^]
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0018694 newplatform New callout infrastructure improvements 

-  Notes
(0041242)
hgbot (developer)
2011-09-23 06:11

Repository: erp/devel/pi
Changeset: e359ca670fb6ba23fcd52d4ebbd7972745972d38
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 23 06:10:57 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/e359ca670fb6ba23fcd52d4ebbd7972745972d38 [^]

Fixes issue 18588: Implement new callout functionality
Implement new callout functionality
Solve small issue when closing window that js error occurs

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/ApplicationComponentProvider.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-field.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
M src-db/database/model/tables/AD_FIELD.xml
M src-db/database/model/triggers/AD_FIELD_MOD_TRG.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
A modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-onchange-registry.js
---
(0041243)
hgbot (developer)
2011-09-23 06:38

Repository: erp/devel/pi
Changeset: 206013dbb86e1f8d92470020c75431b5be8d59c9
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Fri Sep 23 06:37:58 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/206013dbb86e1f8d92470020c75431b5be8d59c9 [^]

Related to issue 18588: Implement new callout functionality
Instead of eval use the function directly in javascript

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-field.js.ftl
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0041494)
iperdomo (developer)
2011-10-04 16:57

Tested on pi @ rev 488d0efa1c3a
(0041695)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test
(0041696)
hudsonbot (developer)
2011-10-12 01:59

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9bd2b5c2d982 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-09-21 19:46 mtaal New Issue
2011-09-21 19:46 mtaal Assigned To => mtaal
2011-09-21 19:46 mtaal Modules => Core
2011-09-23 06:11 hgbot Checkin
2011-09-23 06:11 hgbot Note Added: 0041242
2011-09-23 06:11 hgbot Status new => resolved
2011-09-23 06:11 hgbot Resolution open => fixed
2011-09-23 06:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e359ca670fb6ba23fcd52d4ebbd7972745972d38 [^]
2011-09-23 06:38 hgbot Checkin
2011-09-23 06:38 hgbot Note Added: 0041243
2011-10-04 16:56 iperdomo Relationship added related to 0018694
2011-10-04 16:57 iperdomo Note Added: 0041494
2011-10-04 16:57 iperdomo Status resolved => closed
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041695
2011-10-12 01:59 hudsonbot Checkin
2011-10-12 01:59 hudsonbot Note Added: 0041696


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker